Add alternate SKU
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/products/alternate-sku \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sku": "WIDGET-001",
"alternate_sku": "WIDGET-ALT-001"
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/products/alternate-sku"
payload = {
"sku": "WIDGET-001",
"alternate_sku": "WIDGET-ALT-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sku: 'WIDGET-001', alternate_sku: 'WIDGET-ALT-001'})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/products/alternate-sku', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"name": "<string>",
"description": "<string>",
"retail_price": 123,
"wholesale_price": 123,
"unit_cost": 123,
"landed_cost": 123,
"manufacturing_fee": 123,
"product_weight": [
{
"value": 1
}
],
"product_weight_oz": 123,
"product_weight_lb": 123,
"dimensional_weight": [
{
"value": 1
}
],
"dimensional_weight_oz": 123,
"dimensional_weight_lb": 123,
"product_length": 123,
"product_width": 123,
"product_height": 123,
"box_weight": [
{
"value": 1
}
],
"box_weight_oz": 123,
"box_weight_lb": 123,
"box_length": 123,
"box_width": 123,
"box_height": 123,
"carton_weight": [
{
"value": 1
}
],
"carton_weight_oz": 123,
"carton_weight_lb": 123,
"carton_length": 123,
"carton_width": 123,
"carton_height": 123,
"shipping_weight": [
{
"value": 1
}
],
"shipping_weight_oz": 123,
"shipping_weight_lb": 123,
"shipping_length": 123,
"shipping_width": 123,
"shipping_height": 123,
"pallet_weight": [
{
"value": 1
}
],
"pallet_weight_oz": 123,
"pallet_weight_lb": 123,
"pallet_length": 123,
"pallet_width": 123,
"pallet_height": 123,
"sellable": true,
"discontinued": true,
"lot_tracking": true,
"image_url": "<string>",
"category": {
"id": 123,
"name": "<string>"
},
"subcategory": {
"id": 123,
"name": "<string>"
},
"custom_fields": {},
"attachments": [
{
"id": 123,
"name": "<string>",
"type": "<string>",
"size": 123,
"full_url": "<string>",
"thumb_url": "<string>"
}
],
"variants": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"product_weight": [
{
"value": 1
}
],
"product_weight_oz": 123,
"product_weight_lb": 123,
"dimensional_weight": [
{
"value": 1
}
],
"dimensional_weight_oz": 123,
"dimensional_weight_lb": 123,
"box_weight": [
{
"value": 1
}
],
"box_weight_oz": 123,
"box_weight_lb": 123,
"carton_weight": [
{
"value": 1
}
],
"carton_weight_oz": 123,
"carton_weight_lb": 123,
"shipping_weight": [
{
"value": 1
}
],
"shipping_weight_oz": 123,
"shipping_weight_lb": 123,
"pallet_weight": [
{
"value": 1
}
],
"pallet_weight_oz": 123,
"pallet_weight_lb": 123,
"attachments": [
{
"id": 123,
"name": "<string>",
"type": "<string>",
"size": 123,
"full_url": "<string>",
"thumb_url": "<string>"
}
],
"retail_price": 123,
"wholesale_price": 123,
"custom_fields": [
{}
],
"variant_attributes": [
{
"variant_name": "<string>",
"variant_terms": [
"<string>"
]
}
],
"sku": "<string>",
"upc": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"variant_attributes": [
{
"variant_name": "<string>",
"variant_terms": [
"<string>"
]
}
],
"sku": "<string>",
"alternate_skus": [
{
"id": 123,
"sku": "<string>"
}
],
"upc": "<string>",
"tags": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"color": "<string>"
}
],
"substitutions": [
{
"id": 123,
"priority": 123,
"product": {
"id": 123,
"name": "<string>",
"description": "<string>",
"retail_price": 123,
"wholesale_price": 123,
"unit_cost": 123,
"product_weight": [
{
"value": 1
}
],
"product_weight_oz": 123,
"product_weight_lb": 123,
"dimensional_weight": [
{
"value": 1
}
],
"dimensional_weight_oz": 123,
"dimensional_weight_lb": 123,
"product_length": 123,
"product_width": 123,
"product_height": 123,
"box_weight": [
{
"value": 1
}
],
"box_weight_oz": 123,
"box_weight_lb": 123,
"box_length": 123,
"box_width": 123,
"box_height": 123,
"carton_weight": [
{
"value": 1
}
],
"carton_weight_oz": 123,
"carton_weight_lb": 123,
"carton_length": 123,
"carton_width": 123,
"carton_height": 123,
"shipping_weight": [
{
"value": 1
}
],
"shipping_weight_oz": 123,
"shipping_weight_lb": 123,
"shipping_length": 123,
"shipping_width": 123,
"shipping_height": 123,
"pallet_weight": [
{
"value": 1
}
],
"pallet_weight_oz": 123,
"pallet_weight_lb": 123,
"pallet_length": 123,
"pallet_width": 123,
"pallet_height": 123,
"sellable": true,
"discontinued": true,
"image_url": "<string>",
"sku": "<string>",
"upc": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
],
"supplier": {},
"kit_items": [
{
"id": 123,
"product_id": 123,
"quantity": 123,
"uom_id": 123,
"base_uom_quantity": 123,
"price": 123,
"original_price": 123,
"total": 123,
"product": {
"id": 123,
"name": "<string>",
"sku": "<string>",
"description": "<string>",
"retail_price": 123,
"wholesale_price": 123
},
"unit_of_measure": {
"id": 123,
"name": "<string>",
"description": "<string>",
"base_unit": true
}
}
],
"priority_list": {
"id": 123,
"name": "<string>",
"description": "<string>"
},
"boms": [
{
"id": 123,
"name": "<string>",
"items": [
{
"id": 123,
"bom_id": 123,
"product_id": 123,
"quantity": 123,
"product": {
"id": 123,
"name": "<string>",
"sku": "<string>",
"description": "<string>"
},
"base_quantity": 123,
"note": "<string>",
"uom_id": 123,
"unit_of_measure": {
"id": 123,
"name": "<string>"
},
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"extra_costs": [
{
"id": 123,
"name": "<string>",
"quantity": 123,
"unit_price": 123,
"line_total": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Alternate SKUs
Add alternate SKU
Add an alternate SKU to a product. The alternate SKU can be used as an additional identifier for the product (e.g., for lookups during sales order creation).
POST
/
products
/
alternate-sku
Add alternate SKU
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I